summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sautier.louis@gmail.com>2018-06-01 16:10:04 +0200
committerPatrice Clement <monsieurp@gentoo.org>2018-06-07 23:29:58 +0200
commite37cb667eafb6db3e7098dcb95a61541e095462d (patch)
tree0103ee0193706c493847154fea0aed8dcdab2616
parentdev-vcs/subversion: mark s390 stable (diff)
downloadgentoo-e37cb667eafb6db3e7098dcb95a61541e095462d.tar.gz
gentoo-e37cb667eafb6db3e7098dcb95a61541e095462d.tar.bz2
gentoo-e37cb667eafb6db3e7098dcb95a61541e095462d.zip
www-misc/urlwatch: bump to 2.13.
Package-Manager: Portage-2.3.38, Repoman-2.3.9 Closes: https://github.com/gentoo/gentoo/pull/8669
-rw-r--r--www-misc/urlwatch/Manifest1
-rw-r--r--www-misc/urlwatch/urlwatch-2.13.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/www-misc/urlwatch/Manifest b/www-misc/urlwatch/Manifest
index 0d09b524580..d846ca63858 100644
--- a/www-misc/urlwatch/Manifest
+++ b/www-misc/urlwatch/Manifest
@@ -1,3 +1,4 @@
DIST urlwatch-2.11.tar.gz 36092 BLAKE2B fc8b99d9edb9dc7f860b66e1bb72ccae9cf6aeb27ea2401009b26dca26c3c1fbcd8fedc5ae66ebeb8fcf50cd317c4ea3c1de6e667af158578d8bb2bb9373a021 SHA512 fc7a9cce7de946ddce6a83cdab7f785399806704ab440d29436d8ceff14cb4dab6e85a0284eaba1b71e5d27a88f5434d4d8d447a6d0de7bfd025d090c6f12cec
+DIST urlwatch-2.13.tar.gz 34312 BLAKE2B 6ac618d4f1f78b0a3f6d17dd2283704e8d1fc7173ce6d79fcf0f9177f48463a610a4c20d8483a4a9c22e56eca67730ef25982981f310ca8e9927e48e298a1b1d SHA512 5ca6ad3de54c2e1d63cb545ae0d213a4483ef175dad947be00994bc990d047c7aec1f3b0a8b23290672db940001a9cc31c919aa7d9c280ab4792299e2dba684c
DIST urlwatch-2.5.tar.gz 25322 BLAKE2B 637fa254fe565d9a3909fc80879a7b40a72a92e01cdca3a2e95f905c768238e4a2ef7559e32ae4295357d3391109f08149e721564e4c14b6c8be281a416cc45a SHA512 993d2596288d014a3b84ae22c29ce89282c4320dd95b339c9892db07997059fc80a96198cb89ba04d935f68d2d051da96dc981f8e8b3657492443b060d2126a1
DIST urlwatch-2.6.tar.gz 30412 BLAKE2B 3d9495a418f8180a788db27bec13f9c20d92476851404d0f78dc6fec664a90c4bf9749cbe26323741a31175abf5b6ca01c066da8a8db6e63da73b46bb524e293 SHA512 52d71984972c6888ade01fcc635d33a60c024424b82ac9319554f548438f8a4e2f32a8b7d3047ed86654c8ef67e3b6eac99728f9409b60cdffe7e842fd8fe16c
diff --git a/www-misc/urlwatch/urlwatch-2.13.ebuild b/www-misc/urlwatch/urlwatch-2.13.ebuild
new file mode 100644
index 00000000000..3b6ef8f5e92
--- /dev/null
+++ b/www-misc/urlwatch/urlwatch-2.13.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool for monitoring webpages for updates"
+HOMEPAGE="https://thp.io/2008/urlwatch/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ dev-python/keyring[${PYTHON_USEDEP}]
+ dev-python/minidb[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+python_test() {
+ nosetests test || die "tests failed with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ if ! has_version dev-python/chump; then
+ elog "Install 'dev-python/chump' to enable Pushover" \
+ "notifications support"
+ fi
+ if ! has_version dev-python/pushbullet-py; then
+ elog "Install 'dev-python/pushbullet-py' to enable" \
+ "Pushbullet notifications support"
+ fi
+ elog "HTML parsing can be improved by installing one of the following packages"
+ elog "and changing the html2text subfilter parameter:"
+ elog "dev-python/beautifulsoup:4"
+ elog "app-text/html2text"
+ elog "dev-python/html2text"
+ elog "www-client/lynx"
+ fi
+}